<template>
<AuthenticatedLayout>
   <filter-market/>
    <card-list
      :cardList='cardList'
    />
</AuthenticatedLayout>

</template>

<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import FilterMarket from "@/Components/Items/Market/FilterMarket.vue";
import CardList from "@/Components/Items/CardMarket/CardList.vue";
import { ref } from "vue";

const cardList = ref([]);

do{
  cardList.value.push({
    id: 1,
    name: '1Shetland Pony White',
    icon: 'https://upload.wikimedia.org/wikipedia/commons/thumb/8/83/Steam_icon_logo.svg/512px-Steam_icon_logo.svg.png',
    huge: ['R', 'F'],
    type: Math.floor(Math.random() * 10) < 5 ? 'Dark matter' : '',
    shiny: Math.floor(Math.random() * 10) < 5 ? true : false,
    hc: Math.floor(Math.random() * 10) < 5 ? true : false,
    power: Math.floor(Math.random() * 100),
    rare: Math.floor(Math.random() * 3),
    quantity: Math.floor(Math.random() * 100),
    coast: Math.floor(Math.random() * 100)
  })
}while(cardList.value.length < 10);
console.log(cardList.value);
</script>

<style scoped>

</style>
